<template>
  <baseComp :statusList="statusList" :activeCode="activeCode" />
</template>

<script>
  import baseComp from './index.vue';
  // import { auditStatus } from '@/utils/dict/common';

  // 一般统一审核流程
  export default {
    components: {
      baseComp
    },
    props: {
      activeCode: {
        type: Number,
        default: 0
      }
    },
    data() {
      return {};
    },
    computed: {
      statusList() {
        const base = [{ label: '创建' }, { code: 0, label: '待审核' }];
        console.log(this.activeCode, 'api/outInWarehouse/select/detail');

        if (this.activeCode == 1) {
          base.push({ code: 1, label: '已完成', activeColor: '#157a2c' });
        } else {
          base.push({ code: 2, label: '已驳回', activeColor: '#cc3300' });
        }
        console.log(base, 'base');
        return base;
      }
    }
  };
</script>
